linux: 3.0.0-32.50 -proposed tracker

Bug #1136175 reported by Brad Figg on 2013-02-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Oneiric
Medium
Unassigned

Bug Description

This bug is for tracking the 3.0.0-31.50 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 28. February 2013 18:40 UTC
kernel-stable-Certification-testing-end:Thursday, 28. February 2013 19:03 UTC
kernel-stable-Prepare-package-end:Friday, 01. March 2013 05:08 UTC
kernel-stable-Promote-to-proposed-start:Friday, 01. March 2013 05:08 UTC
kernel-stable-Promote-to-proposed-end:Friday, 01. March 2013 09:04 UTC
kernel-stable-Verification-testing-start:Friday, 01. March 2013 11:04 UTC
kernel-stable-Security-signoff-start:Sunday, 03. March 2013 16:07 UTC
kernel-stable-Verification-testing-end:Sunday, 03. March 2013 16:07 UTC
kernel-stable-Regression-testing-start:Sunday, 03. March 2013 16:07 UTC
kernel-stable-Regression-testing-end:Monday, 04. March 2013 14:05 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 05. March 2013 17:04 UTC
kernel-stable-Security-signoff-end:Tuesday, 05. March 2013 17:04 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 06. March 2013 03:04 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 06. March 2013 04:06 UTC

Brad Figg (brad-figg) on 2013-02-28
tags: added: kernel-release-tracking-bug
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-02-28
description: updated
Brad Figg (brad-figg) on 2013-02-28
summary: - linux: 3.0.0-31.50 -proposed tracker
+ linux: 3.0.0-32.50 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1137045

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 1137047

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-03-01
description: updated
Brad Figg (brad-figg) on 2013-03-01
description: updated
Brad Figg (brad-figg) on 2013-03-03
description: updated
Para Siva (psivaa) wrote :
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-03-04
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-03-05
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package linux - 3.0.0-32.50

---------------
linux (3.0.0-32.50) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1136175

  [ Ian Campbell ]

  * SAUCE: xen/netback: shutdown the ring if it contains garbage.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: netback: correct netbk_tx_err to handle wrap around.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: xen/netback: don't leak pages on failure in
    xen_netbk_tx_check_gop.
    - LP: #1117331
    - CVE-2013-0217
  * SAUCE: xen/netback: free already allocated memory on failure in
    xen_netbk_get_requests
    - LP: #1117331
    - CVE-2013-0217

  [ Tim Gardner ]

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442
  * SAUCE: rt2x00: rt2x00pci_regbusy_read() - only print register access
    failure once
    - LP: #1128840

  [ Upstream Kernel Changes ]

  * can: c_can: fix invalid error codes
    - LP: #1116259
  * can: ti_hecc: fix invalid error codes
    - LP: #1116259
  * can: pch_can: fix invalid error codes
    - LP: #1116259
  * fs/cifs/cifs_dfs_ref.c: fix potential memory leakage
    - LP: #1116259
  * ARM: DMA: Fix struct page iterator in dma_cache_maint() to work with
    sparsemem
    - LP: #1116259
  * Bluetooth: Fix sending HCI commands after reset
    - LP: #1116259
  * ath9k_htc: Fix memory leak
    - LP: #1116259
  * ath9k: fix double-free bug on beacon generate failure
    - LP: #1116259
  * ALSA: usb-audio: fix invalid length check for RME and other UAC 2
    devices
    - LP: #1116259
  * EDAC: Test correct variable in ->store function
    - LP: #1116259
  * Bluetooth: Fix incorrect strncpy() in hidp_setup_hid()
    - LP: #1116259
  * smp: Fix SMP function call empty cpu mask race
    - LP: #1116259
  * x86/msr: Add capabilities check
    - LP: #1116259
  * efi, x86: Pass a proper identity mapping in efi_call_phys_prelog
    - LP: #1116259
  * x86/Sandy Bridge: Sandy Bridge workaround depends on CONFIG_PCI
    - LP: #1116259
  * Linux 3.0.62
    - LP: #1116259
  * drm/radeon/evergreen+: wait for the MC to settle after MC blackout
    - LP: #1122313
  * drm/radeon: add quirk for RV100 board
    - LP: #1122313
  * drm/radeon: Calling object_unrefer() when creating fb failure
    - LP: #1122313
  * x86-64: Replace left over sti/cli in ia32 audit exit code
    - LP: #1122313
  * nilfs2: fix fix very long mount time issue
    - LP: #1122313
  * drivers/rtc/rtc-isl1208.c: call rtc_update_irq() from the alarm irq
    handler
    - LP: #1122313
  * USB: ftdi_sio: add Zolix FTDI PID
    - LP: #1122313
  * USB: ftdi_sio: add PID/VID entries for ELV WS 300 PC II
    - LP: #1122313
  * USB: option: add support for Telit LE920
    - LP: #1122313
  * USB: option: add Changhong CH690
    - LP: #1122313
  * USB: qcserial: add Telit Gobi QDL device
    - LP: #1122313
  * USB: EHCI: fix bug in scheduling periodic split transfers
    - LP: #1122313
  * USB: storage: Define a new macro for USB storage match rules
    - LP: #1122313
  * USB: storage: optimize to match the Huawei USB storage devices and
    support new switch command
    - LP: #1122313
  * xhci: Fix isoc TD encoding.
    - LP: #1122313
  * US...

Read more...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-03-06
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers